Page 1 of 1

wio-cli failed

Posted: Mon May 16, 2016 6:30 pm
by michael.lankers
Hi,

i spend hours to get it run on a raspberry3

I followed the instruction in the wiki but i get this errors:
pi@raspberrypi:~ $ wio --help
Traceback (most recent call last):
File "/usr/local/bin/wio", line 7, in <module>
from wio.wio import cli
File "/usr/local/lib/python2.7/dist-packages/wio/wio.py", line 14, in <module>
from requests.packages.urllib3.exceptions import InsecureRequestWarning
ImportError: cannot import name InsecureRequestWarning
:evil:

Re: wio-cli failed

Posted: Mon May 16, 2016 8:48 pm
by teng.wang
michael.lankers wrote:Hi,

i spend hours to get it run on a raspberry3

I followed the instruction in the wiki but i get this errors:
pi@raspberrypi:~ $ wio --help
Traceback (most recent call last):
File "/usr/local/bin/wio", line 7, in <module>
from wio.wio import cli
File "/usr/local/lib/python2.7/dist-packages/wio/wio.py", line 14, in <module>
from requests.packages.urllib3.exceptions import InsecureRequestWarning
ImportError: cannot import name InsecureRequestWarning
:evil:
@michael, can you tell me your Raspberry3 system version, and your python version?

Re: wio-cli failed

Posted: Mon May 16, 2016 11:05 pm
by michael.lankers
Hi Teng,

i running the latest raspian distro

with Kernel 4.4.9 and
Python2.7.9

best regards

Michael

Re: wio-cli failed

Posted: Tue May 17, 2016 11:00 am
by teng.wang
@Michael
I do not have raspberry pie 3 currently, but there is no problem with ubuntu.

Can you try upgrade the wio-cli.
$sudo pip install wio-cli --upgrade
$wio --version
Now the latest version is v0.0.30

Re: wio-cli failed

Posted: Tue May 17, 2016 11:26 am
by sheepjms
Maybe this will help for the same problem: https://github.com/diraimondo/gmusicproxy/issues/35